-- 自用测试的设置

Platform_isUpdate = 1 --是否测试正式更新平台

Platform_isEncrypt = 1 --是否使用加密
Platform_cpid = 6 --表示UC平台
Platform_initSdkFirst = true 	-- 是否优先初始化sdk


function Platform_download()
	return "112.74.111.120/update_360/game.apk"
end

function Platform_edition()
	return 2
end

--调用登录
function Platform_showSDKLogin()
	cclog("调用登录")
	KJniClass:call("ucLogin")
end

--调用切换账号
function Platform_SwitchAccount()
	cclog("调用切换账号")
	--UiMgr.showLang(true)
	KJniClass:call("SwitchAccount")
end

-- 登录成功回调
function Platform_2JLoginSuccess()
	local nGuid = GPlayerMgr:getGuid() 				-- 玩家Guid
	local nLv = GPlayerMgr:getAttrValueById(ConstDef.enRoleAttribute_Level) or 0	-- 玩家lv
	local strName = GPlayerMgr:getPlayerName() 				-- 玩家Guid
	local strServerName = LoginMgr.getSelServerName() 				-- 玩家Guid
	local nServerId = LoginMgr.getSelServerId() 				-- 玩家Guid
	
	local strCall = string.format("FinishLogin-%s-%s-%s-%s-%s", tostring(nGuid),
	tostring(strName), tostring(nLv), tostring(nServerId), tostring(strServerName))
	KJniClass:call(strCall)
end

--收到java与lua交互的字符串
function Platform_onJavaSDK(s)
	local data = BaseFuc.FGUtilStringSplit(s, "-")
	if data[1] == "ucAccount" then
		local function loginFunc()
			local view = UiMgr.getView("ConnectSdkView")
			local strAccount = data[2] or ""
			if view ~= nil then
				view:SDKLogin(strAccount)
			else
				ConnectSdkView:SDKLogin(strAccount)
			end
		end
		table.post(0.1, loginFunc)
	elseif data[1] == "checkNet" then
		if data[2] == "2" then
			cclog("断开网络")
			if NetMgr.isClose == false then
				NetMgr.isClose = true
				GameNet:Instance():ThreadClose()
			end
		end
	elseif data[1] == "sdkInitEnd" then
		beginGame()
	end
end

--隐藏账号密码输入
function Platform_showLoginInfo()
	
end

--充值需要的信息
function Platform_rechangeInfo(nIndex)
	-- 请求订单号
	GVIPMgr:requestOrder()
end

--有订单号的充值 @nOrder 订单号 	@nGoodsIndex 充值的物品索引
--如果有订单号充值的话Platform_rechangeInfo()函数只需写请求订单号的协议就可以了
function Platform_OrderRecharge(nOrder, nGoodsIndex)
	local goodsList	 = GVIPMgr:getRechargeList()
	local rechargeInfo = goodsList[nGoodsIndex]
	local nMoney = rechargeInfo["gem"]/10 			-- 物品的价钱(元)1
	local strName = GPlayerMgr:getPlayerName() 		-- 名字4
	local nGuid = GPlayerMgr:getGuid() 				-- 玩家Guid3
	local nLv = GPlayerMgr:getAttrValueById(ConstDef.enRoleAttribute_Level) or 0 --5
	local nServerId = LoginMgr.m_nSelServerKey		-- 服务器id2
	if nGoodsIndex == 1 then
		strPorductName = "月卡礼包"
		nPorductId = 10100
	else
		strPorductName = string.format("%d宝石", nMoney*10)
		nPorductId = ConstDef.enItemSpecialId_Gold
	end
	-- nMoney = nMoney * 100 -- 元转换成分
	local strPay = string.format("ucPay-%s-%s-%s-%s-%s-%s", tostring(nMoney)
	, tostring(nServerId), tostring(nGuid), tostring(strName), tostring(nLv), tostring(nOrder))
	cclog(strPay)
	KJniClass:call(strPay)
end

--Logo闪屏路径
function Platform_LogoPath()
	
end


